local _, iTF = ...

--Defaults iTFConfig.frame.spacing = 4
-- iTFConfig.frame.height = 50
-- iTFConfig.frame.castBarHeight = 25
-- iTFConfig.statusbar.castBarHeight
function iTF:LoadDefaults()
	local defaults = {
		['from'] = 'LEFT',
		['to'] = 'LEFT',
		['x'] = 20,
		['y'] = 0,
		['frame'] = {
			['width'] = 60,
			['height'] = 30,
			['spacing'] = 2,
			['castBarHeight'] = 8,
		},
		['raidIcon'] = {
			['size'] = 20,
		},
		['font'] = {
			['name'] = 'Fonts\\ARIALN.TTF',
			['size'] = 11,
		},
		['statusbar'] = {
			['texture'] = 'Interface\\Buttons\\WHITE8x8',
		},
		['colS'] = 5,
		['colors'] = {
			['backdrop'] = {
				['bg'] = {
					['r'] = 0.1,
					['g'] = 0.1,
					['b'] = 0.1,
					['a'] = 0.9,
				},
				['border'] = {
					['r'] = 0,
					['g'] = 0,
					['b'] = 0,
					['a'] = 1,
				},
			},
			['statusbar'] = {
				['main'] = {
					['r'] = 0.5,
					['g'] = 0,
					['b'] = 0,
					['a'] = 0.8,
				},
				['cast'] = {
					['r'] = 0.5,
					['g'] = 0.5,
					['b'] = 0.5,
					['a'] = 0.8,
				},
			},
			['text'] = {
				['main'] = {
					['r'] = 1,
					['g'] = 1,
					['b'] = 1,
					['a'] = 1,
				},
				['cast'] = {
					['r'] = 1,
					['g'] = 1,
					['b'] = 0,
					['a'] = 1,
				},
				['immune'] = {
					['r'] = 1,
					['g'] = 0,
					['b'] = 0,
					['a'] = 1,
				},
			},
			['targeting'] = {
				['main'] = {
					['r'] = 1,
					['g'] = 1,
					['b'] = 1,
					['a'] = 1,
				},
			},
		},
	}
	for k,v in pairs(defaults) do
		if iTFConfig[k] == nil then
			iTFConfig[k] = v
		elseif type(v) == 'table' then
			for deeperKey, deeperValue in pairs(v) do
				if iTFConfig[k][deeperKey] == nil then
					iTFConfig[k][deeperKey] = deeperValue
				elseif type(deeperValue) == 'table' then
					for inceptionLevelKey, inceptionLevelValue in pairs(deeperValue) do
						iTFConfig[k][deeperKey][inceptionLevelKey] = inceptionLevelValue
					end
				end
			end
		end
	end
end

--Interface Options
local options = CreateFrame('Frame', nil, InterfaceOptionsFramePanelContainer)
options:Hide()
options:SetAllPoints()
options.name = 'iTargetingFrames'
InterfaceOptions_AddCategory(options, 'iTargetingFrames')